List evidence for an information request
Retrieves a paginated list of all evidence attached to an information request, enabling auditors to review evidence submitted by customers.
This endpoint always includes soft-deleted records (where deletionDate !== null).
Clients should check the deletionDate field to identify and handle deleted records
appropriately in their systems.
If the information request itself has been deleted, this endpoint returns a 4xx HTTP error instead of its evidence.
This endpoint supports delta synchronization via the changedSinceDate parameter,
allowing efficient polling for changes without retrieving the entire dataset.
Pagination usage:
- Make initial request with desired
pageSize - Check
results.pageInfo.hasNextPageto see if more data exists - If true, use
results.pageInfo.endCursoraspageCursorin next request - Repeat until
hasNextPageis false
Delta sync usage:
- Store the timestamp of your last sync
- Pass that timestamp as
changedSinceDate - Only evidence created, modified, shared, or deleted since that timestamp is returned
- Process updates, including soft-deletes (deletionDate !== null)
- Update your last sync timestamp to the current time
Identifying evidence and files:
-
Use
idas the key for each evidence item, whatever its type. -
To recognize the same file across information requests, use the
file key for the evidence type. UPLOADED_DOCUMENT uses
evidence.id. VANTA_DOCUMENT and VANTA_POLICY useevidence.file.id, which identifies the source document or policy file. VANTA_TEST usesevidence.snapshotIdplusevidence.fileType. LINK, OBSERVATION, and VANTA_TEST_SNAPSHOT evidence has no file. -
Do not use
file.urlas a key. It is a temporary download link.
Rate limit: 50 requests / minute.
Authorizations
Query Parameters
Pagination cursor from a previous response. Provide to fetch the next page of evidence. A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Limits results to the provided evidence types. Must include at least one of: UPLOADED_DOCUMENT, OBSERVATION, LINK, VANTA_DOCUMENT, VANTA_POLICY, VANTA_TEST, VANTA_TEST_SNAPSHOT.
UPLOADED_DOCUMENT, OBSERVATION, LINK, VANTA_DOCUMENT, VANTA_POLICY, VANTA_TEST, VANTA_TEST_SNAPSHOT